> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Image

> This endpoint is used to fetch your queued generations.

## Request

Send a `POST` request to below endpoint to return the corresponding queued images.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/face_gen/fetch/{id}' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /face_gen/fetch/{id}
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Face Gen API
  version: 1.0.0
  description: API for managing enterprise Face Gen server operations.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /face_gen/fetch/{id}:
    post:
      summary: Fetch Queued Response
      description: >-
        Fetch queued or processing response by ID. This endpoint does not
        generate new images, it returns already generated/queued images.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the queued job returned during generation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKey'
      responses:
        '200':
          description: Fetch successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchResponse'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found - The specified ID does not exist or is not queued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Your API key
      required:
        - key
    FetchResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        id:
          type: integer
          example: 12202888
        output:
          type: array
          items:
            type: string
          example:
            - >-
              https://pub-8b49af329fae499aa563997f5d4068a4.r2.dev/generations/e5cd86d3-7305-47fc-82c1-7d1a3b130fa4-0.png
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error description

````